dpkg-scansources(1)

NAMN
dpkg-scansources - skapar indexfilerna Sources

SYNOPS
dpkg-scansources [flagga...] binärkatalog [överstyrningsfil [sökvägsprefix]] > Sources

BESKRIVNING
dpkg-scansources söker genom den givna binärkatalogen efter .dsc-filer. De används för att skapa ett Debiankällkodsindex, vilket skrivs på standard ut.

The override-file, if given, is used to set priorities in the resulting index records and to override the maintainer field given in the .dsc files. The file can be compressed (since dpkg 1.15.5). See deb-override(5) for the format of this file. Note: Since the override file is indexed by binary, not source packages, there's a bit of a problem here. The current implementation uses the highest priority of all the binary packages produced by a .dsc file for the priority of the source package, and the override entry for the first binary package listed in the .dsc file to modify maintainer information. This might change.

sökvägsprefix läggs, om den anges, till i början av katalogfältet i det skapade källkodsindexet. Du använder det normalt till att göra så att katalogfälten innehåller sökvägen från toppen av Debianarkivhierarkin.

Observera: Om du vill läsa den skapade Sources-filen med apt(8) måste du antagligen komprimera filen med gzip(1) (vilket skapar filen Sources.gz). apt ignorerar okomprimerade Sources-filer, förutom vid lokal åtkomst (dvs. file://-källor).

FLAGGOR

-n, --no-sort
    Sortera inte indexposterna. De sorteras normalt efter namn på källkodspaketet.

-e, --extra-override fil
Scan file to find supplementary overrides (since dpkg 1.15.4; the file
    can be compressed since dpkg 1.15.5). See deb-extra-override(5) for more information on its format.

-s, --source-override fil
    Use file as the source override file (the file can be compressed since dpkg 1.15.5). The default is the name of the override file you specified with .src appended.

    Källkodsöverstyrningsfilen har ett annat format än binäröverstyrningsfilen. Den innehåller endast två fält avdelade med blanktecken, där det första är namnet på källkodspaketet och det andra är sektionen. Tomma rader och kommentarer ignoreras på vanligt sätt. Om ett paket specificeras i båda filerna kommer källkodsöverstyrningsfilen först för att välja sektion.

--debug
    Slå på felsökning.

--help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

SE ÄVEN
deb-override(5), deb-extra-override(5), dpkg-scanpackages(1).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.